Bug 839270 - [RHEVM] [backend] [Setup Host Networks] logical network is detached from bond when bond mode is changed
[RHEVM] [backend] [Setup Host Networks] logical network is detached from bond...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Alona Kaplan
yeylon@redhat.com
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 08:26 EDT by Martin Pavlik
Modified: 2016-04-18 02:59 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 08:48:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (59.01 KB, application/x-gzip)
2012-07-11 08:26 EDT, Martin Pavlik
no flags Details
screenshot 1 (193.36 KB, image/png)
2012-07-11 08:27 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-07-11 08:26:28 EDT
Created attachment 597551 [details]
vdsm.log + engine.log

Description of problem:
When bond mode on bond is changed via SetupNetworks, network which was attached to bond gets detached

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.1.0-5.el6ev 
vdsm-4.9.6-17.0.el6.x86_64

How reproducible:
always

Steps to Reproduce:
host with 3 nics
one logical network defined
1. Hosts -> your host -> Setup Host networks -> create bond -> switch to bonding mode 1 -> attach logical network to the bond -> click OK
2.  Hosts -> your host -> Setup Host networks -> create bond -> switch to bonding mode 4 -> click OK (screenshot1)

  
Actual results:
network which was connected to bond is disconnected

Expected results:
bond mode should be changed and network should remain attached

Additional info:
vdsm.log + engine.log attached
Comment 1 Martin Pavlik 2012-07-11 08:27:55 EDT
Created attachment 597552 [details]
screenshot 1
Comment 2 Martin Pavlik 2012-07-17 08:48:36 EDT
Bug does not reproduce any more in oVirt Engine Version: '3.1.0-6.el6ev' , closing

Note You need to log in before you can comment on or make changes to this bug.